<?php
if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//
	
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("NOMBRE","vproveedores","ID=$Id");		
		$StrCon=gs("CONTACTO","vproveedores","ID=$Id");		
		$StrDir=gs("DIRECCION","vproveedores","ID=$Id");		
		$StrDis=gs("DISTRITO","vproveedores","ID=$Id");		
		$StrRuc=gs("RUC","vproveedores","ID=$Id");		
		$StrDni=gs("DNI","vproveedores","ID=$Id");		
		$StrTel=gs("TEL","vproveedores","ID=$Id");		
		$StrCel=gs("CEL","vproveedores","ID=$Id");		
		$StrFax=gs("FAX","vproveedores","ID=$Id");		
		$StrEma=gs("EMAIL","vproveedores","ID=$Id");		
		$LStrFoc="document.getElementById('TxtNom').focus();";		
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){		
		$StrDis_=gn("id_distrito","distritos","dis_nombre='$StrDis'");
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(GetC("vproveedores","NOMBRE='$StrNom'")>0){
			$LStrMsg="Nombre del proveedor ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}		
		if(strlen($StrGT)==0){
			if(strlen($StrRuc)>0){
				if(GetC("vproveedores","RUC='$StrRuc'")>0){
					$LStrMsg="Numero de ruc ya registrado";
					$LStrFoc="document.getElementById('TxtRuc').focus();";						
					$StrGT="S";					
				}
			}
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_proveedor","proveedores");
			$s="INSERT INTO proveedores VALUES ($Id,'$StrNom','$StrCon'
				,'$StrDir',$StrDis_,'$StrDni','$StrRuc','$StrTel'
				,'$StrCel','$StrFax','$StrEma')";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrCon="";
			$StrDir="";
			$StrDis="";
			$StrRuc="";
			$StrDni="";
			$StrTel="";
			$StrCel="";
			$StrFax="";
			$StrEma="";
		}
	}
	if($StrCmd=="M"){
		if(GetC("vproveedores","NOMBRE='$StrNom' AND ID<>$StrId")>0){
			$LStrMsg="Nombre del proveedor ya esta registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			if(strlen($StrRuc)>0){
				if(GetC("vproveedores","RUC='$StrRuc' AND ID<>$StrId")>0){
					$LStrMsg="Numero de ruc ya registrado";
					$LStrFoc="document.getElementById('TxtRuc').focus();";						
					$StrGT="S";					
				}
			}
		}	
		if(strlen($StrGT)==0){
			$s="UPDATE proveedores SET pro_nombre='$StrNom',pro_contacto='$StrCon'
				,pro_dir='$StrDir',pro_id_distrito=$StrDis_,pro_dni='$StrDni',
				pro_ruc='$StrRuc',pro_tel='$StrTel'
				,pro_cel='$StrCel',pro_fax='$StrFax',pro_email='$StrEma' 
				WHERE id_proveedor=$StrId";
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrCon="";
			$StrDir="";
			$StrDis="";
			$StrRuc="";
			$StrDni="";
			$StrTel="";
			$StrCel="";
			$StrFax="";
			$StrEma="";
		}
	}
	if($StrCmd=="E"){
		if(GetC("","","")==0){
			
		}
		if(strlen($StrGT)==0){
			$s="DELETE FROM proveedores WHERE id_proveedor=$StrId";	
			ejt($s);
			if($LStrMM=="S")	$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			$StrGT="S";
			$StrId="";
			$StrNom="";
			$StrCon="";
			$StrDir="";
			$StrDis="";
			$StrRuc="";
			$StrDni="";
			$StrTel="";
			$StrCel="";
			$StrFax="";
			$StrEma="";		
		}
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>